[Libreoffice-commits] online.git: docker/l10n-docker-nightly.sh
Marco Marinello (via logerrit)
logerrit at kemper.freedesktop.org
Mon Mar 2 00:53:59 UTC 2020
docker/l10n-docker-nightly.sh | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
New commits:
commit 11c12a2729dcaccdcc84bc94a1a250fa124159c2
Author: Marco Marinello <marinello at libreoffice.org>
AuthorDate: Tue Feb 25 21:46:04 2020 +0100
Commit: Thorsten Behrens <Thorsten.Behrens at CIB.de>
CommitDate: Mon Mar 2 01:53:29 2020 +0100
Variabilize online git source
Signed-off-by: Marco Marinello <marinello at libreoffice.org>
Change-Id: If8f9103972952b98193ca6d1501844422b8aae54
Reviewed-on: https://gerrit.libreoffice.org/c/online/+/89483
Tested-by: Thorsten Behrens <Thorsten.Behrens at CIB.de>
Reviewed-by: Thorsten Behrens <Thorsten.Behrens at CIB.de>
diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 598282e94..96d5a9be8 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -9,6 +9,7 @@
# * DOCKER_HUB_REPO - which Docker Hub repo to use
# * DOCKER_HUB_TAG - which Docker Hub tag to create
# * LIBREOFFICE_BRANCH - which branch to build in core
+# * LIBREOFFICE_ONLINE_REPO - which git repo to clone online from
# * LIBREOFFICE_ONLINE_BRANCH - which branch to build in online
# * LIBREOFFICE_BUILD_TARGET - which make target to run (in core repo)
# * ONLINE_EXTRA_BUILD_OPTIONS - extra build options for online
@@ -47,6 +48,11 @@ if [ -z "$LIBREOFFICE_BUILD_TARGET" ]; then
fi;
echo "LibreOffice build target: '$LIBREOFFICE_BUILD_TARGET'"
+if [ -z "$LIBREOFFICE_ONLINE_REPO" ]; then
+ LIBREOFFICE_ONLINE_REPO="https://git.libreoffice.org/online"
+fi;
+echo "LibreOffice build target: '$LIBREOFFICE_BUILD_TARGET'"
+
# do everything in the builddir
SRCDIR=$(realpath `dirname $0`)
INSTDIR="$SRCDIR/instdir"
@@ -69,7 +75,7 @@ fi
# online repo
if test ! -d online ; then
- git clone https://git.libreoffice.org/online online || exit 1
+ git clone "$LIBREOFFICE_ONLINE_REPO" online || exit 1
fi
( cd online && git fetch --all && git checkout -f $LIBREOFFICE_ONLINE_BRANCH && git clean -f -d && git pull -r ) || exit 1
More information about the Libreoffice-commits
mailing list